function [P,L]=aDNA_loglike(nb,bb,ns,bs,pbb,pbs);
%calculate likelihood and loglikelihood of observed ancient DNA results given parameter
%estimates
%INPUTS
%nb is number of blank trials
%bb is number of blank successes
%ns is number of sample trials
%bs is number of sample successes
%pbb is estimated probability of success in blank (=theta2)
%pbs is estimated probability of success in sample (=theta1+theta2-theta1*theta2)
%OUTPUTS
%P is likelihood of data given parameters
%L is log likelihood of data given parameters

P=nchoosek(nb,bb).*pbb.^bb.*(1-pbb).^(nb-bb).*nchoosek(ns,bs).*pbs.^bs.*(1-pbs).^(ns-bs);
L=log(P);
