function which=choose_hiL_cml(g,ne,be,np,bp,ns,bs,t21,t31,t22,t32);
%choose the conditional ML solution with highest likelihood
%SYNTAX
%which=choose_hiL_cml(g,ne,be,np,bp,ns,bs,t21,t31,t22,t32);
%INPUTS
%g is a given value of gamma
%ne is number of extraction blank trials
%be is number of extraction blank successses
%np is number of PCR blank trials
%bp is number of PCR blank successes
%ns is number of sample trials
%bs is number of sample successes
%t21 and t31 is pair theta2, theta3 in first solution
%t22 and t32 is pair theta2, theta3 in second solution
%OUTPUTS
%which is 1 if first pair has higher likelihood
%2 if second pair has higher likelihood
%which is 0 if neither pair has defined likelihood
%USES
%aDNA_threekindsloglike.m to get log likelihood

pi_e=t21+t31-t21*t31;
t1=g*pi_e/((1-g)*(1-pi_e));
P1=aDNA_threekinds_loglike(ne,be,np,bp,ns,bs,t21,t31,t1);
pi_e=t22+t32-t22*t32;
t1=g*pi_e/((1-g)*(1-pi_e));
P2=aDNA_threekinds_loglike(ne,be,np,bp,ns,bs,t22,t32,t1);
if isnan(P1)
   if isnan(P2)
      which=0;%no choice
   else
      which=2;
   end;   
elseif isnan(P2)
   which=1;
elseif P1>=P2
	which=1;   
else
	which=2;   
end;
