function dlli=threekinds_profile_noc(g,ne,be,np,bp,ns,bs,Lmax);
%used in finding 95% profile likelihood confidence interval for gamma
%in case with two kinds of blank and mixture amplification excluded
%dlli=threekinds_profile_noc(g,ne,be,np,bp,ns,bs,Lmax);
%INPUTS
%g is a given value of gamma
%ne is number of extraction blank trials
%be is number of extraction blank successses
%np is number of PCR blank trials
%bp is number of PCR blank successes
%ns is number of sample trials
%bs is number of sample successes
%Lmax is log likelihood from unconstrained max likelihood estimates
%OUTPUTS
%dlli is absolute difference between -2*log likelihood ratio (between full
%maximization and constrained maximization with gamma set) and critical
%chi-square value
%USES
%get_threekinds_noc_cml.m to get conditional ML solutions for
%theta2 and theta3
%threekinds_noc_switchparms.m to switch from theta2, theta3, gamma parameterization
%to theta1, theta2, theta3 parameterization
%aDNA_threekindsloglike.m to get log likelihood

[t2,t3]=get_threekinds_noc_cml(g,ne,be,np,bp,ns,bs);
t1=threekinds_noc_switchparms(t2,t3,g,ns,bs);
[P,L]=aDNA_threekinds_loglike(ne,be,np,bp,ns,bs,t2,t3,t1);
crit=3.841;%chi-square (0.05, 1 d.f.)
lr2=-2*(L-Lmax);%2 log likelihood ratio
dlli=abs(lr2-crit);%difference between lr and critical chisquare
